import React__default from "react";
import { currentListType$, applyListType$ } from "../../lists/index.js";
import { SingleChoiceToggleGroup } from "../primitives/toolbar.js";
import { useCellValues, usePublisher } from "@mdxeditor/gurx";
import { iconComponentFor$ } from "../../core/index.js";
const ListsToggle = () => {
  const [currentListType, iconComponentFor] = useCellValues(currentListType$, iconComponentFor$);
  const applyListType = usePublisher(applyListType$);
  return /* @__PURE__ */ React__default.createElement(
    SingleChoiceToggleGroup,
    {
      value: currentListType || "",
      items: [
        { title: "Bulleted list", contents: iconComponentFor("format_list_bulleted"), value: "bullet" },
        { title: "Numbered list", contents: iconComponentFor("format_list_numbered"), value: "number" },
        { title: "Check list", contents: iconComponentFor("format_list_checked"), value: "check" }
      ],
      onChange: applyListType
    }
  );
};
export {
  ListsToggle
};
